PackagingUnits (DOMS)

Endpoints for managing packaging units.

Get all PackagingUnits details

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation. Retrieves all PackagingUnits details

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successfully retrieved the PackagingUnits.

No content

get
/api/packagingunits

No content

Create a PackagingUnitDetail by its ID

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation. Creates a single PackagingUnitDetail.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

PackagingUnitDetailForCreation

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

carrierRefstringRequired

The reference to the carrier associated with the packagingUnit.

detailsany ofRequired
or
or
or
tenantPackagingUnitIdstringRequired

The tenant specific identifier for the packagingUnit.

Responses
200

Successfully created the PackagingUnitDetail.

No content

post
/api/packagingunits

No content

Get a PackagingUnits by its ID

get

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation. Retrieves a single PackagingUnit using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successfully retrieved the PackagingUnit.

No content

get
/api/packagingunits/{id}

No content

Updates a whole packagingUnitDetail by its ID

put

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation. Updates a single packagingUnitDetail.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

PackagingUnitDetailForUpdate

nameLocalizedobject · LocaleStringConstrainedRequired

LocaleStringConstrained

carrierRefstringRequired

The reference to the carrier associated with the packagingUnit.

detailsany ofRequired
or
or
or
tenantPackagingUnitIdstringRequired

The tenant specific identifier for the packagingUnit.

versionnumberRequired

The version of the packagingUnit.

Responses
200

Successfully updated the packagingUnitDetail.

No content

put
/api/packagingunits/{id}

No content

Delete a PackagingUnitDetail by its ID

delete

This part of the API is in Beta status. For details please check the api-release-life-cycle documentation. Deletes a single PackagingUnitDetail using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successfully deleted the PackagingUnit.

No content

delete
/api/packagingunits/{id}

No content

Last updated